#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2002-2003 Guardian Digital, Inc., All Rights Reversed
 | $Id: show_screenshot.cgi,v 1.1.2.3 2003/04/18 12:37:09 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  BEGIN { push @INC, '/usr/webtool/modules'; }

  # use perl;
  use WebTool;

  # Populate %in.
  my $BASE = '/usr/webtool/VHost/oscommerce-eval/images/';
  my %in   = WebTool::parseFormData();

  # Bail if we don't have the image.
  exit 0 if (! -f "$BASE/$in{'file'}");

  # Header.
  WebTool::popup_header('osCommerce Management :: Screenshot', 1);

  # Page.
  print <<EOF;
<P><TABLE BORDER="0" WIDTH="100%" CELLPADDING="0" CELLSPACING="0">
<TR $tb>
  <TD><CENTER><DIV CLASS="ttitle">
    <B>Corporate Commerce Suite</B>
  </DIV></CENTER></TD>
</TR>

<TR $cb>
  <TD><CENTER><DIV CLASS="nbody">
    Sample Screenshot
  </DIV></CENTER></TD>
</TR>

<TR $cb> <TD> &nbsp; </TD> </TR>

<TR $cb>
  <TD><CENTER><DIV CLASS="nbody">
    Visit demo.guardiandigital.com for more info on evaluating the Corporate Commerce Suite.
  </DIV></CENTER></TD>
</TR>

<TR $cb> <TD> &nbsp; </TD> </TR>

<TR>
  <TD>
    <CENTER><IMG SRC="showimage.cgi?file=$in{'file'}" BORDER="0"></CENTER>
  </TD>
</TR>
</TABLE>
EOF

  # Footer.
  WebTool::popup_footer();
