#!/usr/bin/perl

  require '../apache-lib.pl';
  &ReadParse();

  $filename = $in{'conf_file'};

  #if (!-e $filename) { &PrintError("$filename does not exist."); }

  ($sitename) = ($filename =~ m/^.*\/(.*)\.conf$/);

  open FILE, $filename;
    while (<FILE>) {
      chomp $_;
      if ($_ !~ m/^(#|$)/) {
        ($key, $value) = split /\s+/, $_;
        $conf_file{$key} = $value;
      }
    }
  close FILE;


  $access_filename = $conf_file{'OutputDir'} . "/.htpasswd";
  open FILE, $access_filename;
    while (<FILE>) {
      chomp $_;
      ($username, $passwd) = ($_ =~ m/(.*)\:(.*)/);
      $access_file{$username} = $passwd;
    }
  close FILE;


  ### ####################################### ###
  ### Print the header and let the fun begin. ###
  ### ####################################### ###
  &header($text{'index_title'}, "");



  print "<FORM ACTION=save_conf.cgi METHOD=POST>\n";
  print "<INPUT TYPE=HIDDEN NAME=filename VALUE=\"$filename\">\n";
  print "<INPUT TYPE=HIDDEN NAME=LogFile VALUE=\"$conf_file{'LogFile'}\">\n";
  print "<INPUT TYPE=HIDDEN NAME=OutputDir VALUE=\"$conf_file{'OutputDir'}\">\n";
  print "<P><CENTER><TABLE WIDTH=620 BORDER=0 CELLPADDING=0 CELLSPACING=0>\n";
  print "  <TR $tb><TD COLSPAN=3><DIV CLASS=ttitle><B>$sitename</B></TD></TR>\n";
  print "  <TR $cb><TD COLSPAN=3><DIV CLASS=nbody>The following are the configuration variables for this website.</TD></TR>\n";

  print "  <TR $cb><TD COLSPAN=3>&nbsp;</TD></TR>\n";

  print "  <TR $tb>\n";
  print "    <TD><DIV CLASS=thead><B>Directive</B></TD>\n";
  print "    <TD><DIV CLASS=thead><B>Value</B></TD>\n";
  print "  </TR>\n\n";

  print "  <TR $cb>\n";
  print "    <TD><DIV CLASS=nbody><B>", &hlink("Site Name", "webalizer_sn"), "</DIV></TD>\n";
  print "    <TD><DIV CLASS=tbody>";
  print "    <INPUT NAME=HostName VALUE=",$conf_file{'HostName'}," SIZE=40>\n";
  print "    </DIV></TD>\n";
  print "  </TR>\n\n";

  print "  <TR $cb>\n";
  print "    <TD><DIV CLASS=nbody><B>", &hlink("Frequency", "webalizer_freq"), "</DIV></TD>\n";
  print "    <TD><DIV CLASS=nbody>\n";



  $crontmp = "/etc/cron.daily/webalizer_" . $conf_file{'HostName'};
  if (-e $crontmp) {
    print "    Daily <INPUT TYPE=RADIO NAME=cron VALUE=daily CHECKED>\n";
  }
  else { print "    Daily <INPUT TYPE=RADIO NAME=cron VALUE=daily>\n"; }



  $crontmp = "/etc/cron.weekly/webalizer_" . $conf_file{'HostName'};
  if (-e $crontmp) {
    print "    Weekly <INPUT TYPE=RADIO NAME=cron VALUE=weekly CHECKED>\n";
  }
  else { print "    Weekly <INPUT TYPE=RADIO NAME=cron VALUE=weekly\n"; }



  print "    </DIV></TD>\n";
  print "  </TR>\n\n";

  print "  <TR $cb>\n";
  print "    <TD COLSPAN=2>&nbsp;</TD>\n";
  print "  </TR>\n";

  print "  <TR $cb>\n";
  print "    <TD COLSPAN=2 ALIGN=RIGHT><DIV CLASS=nbody>\n";
  print "      <INPUT TYPE=SUBMIT VALUE=\"Save Settings\">\n";
  print "    </TD>\n";
  print "  </TR>\n\n";

  print "</TABLE></CENTER></FORM>\n";




  print "<FORM ACTION=edit_user.cgi METHOD=POST>\n";
  print "<P>&nbsp;<CENTER><TABLE WIDTH=620 BORDER=0 CELLPADDING=0 CELLSPACING=0>\n";
  print "  <TR $tb>\n";
  print "    <TD COLSPAN=3><DIV CLASS=thead><B>User Access Control</B></TD>\n";
  print "  </TR>\n\n";

  print "  <TR $cb>\n";
  print "    <TD COLSPAN=3><DIV CLASS=nbody>Here you can setup usernames and passwords for accessing the website statistics.  Click on a username to change their password or delete them.</TD>\n";
  print "  </TR>\n\n";

  print "  <TR $cb><TD COLSPAN=3>&nbsp;</TD></TR>\n";

  print "  <TR $tb>\n";
  print "    <TD COLSPAN=3><DIV CLASS=thead><B>Users</B></TD>\n";
  print "  </TR>\n\n";

  print "  <TR $cb>\n";
  print "    <TD COLSPAN=3><TABLE WIDTH=100%>\n";
  print "      <TR>\n";



  $outputdir = $conf_file{'OutputDir'};
  @users = keys %access_file;

  $i = 0;
  foreach $user (@users) {
    if (($i % 5) == 0) { print "</TR><TR>\n"; }
    print "<TD><A HREF=edit_user.cgi?user=$user&conf_file=$filename&outputdir=$outputdir&fcn=delete>$user</A></TD>\n"; $i++;
  }

  print "      </TR>\n";
  print "    </TABLE></TD>\n";
  print "  </TR>\n\n";


  print "  <TR $cb> <TD COLSPAN=3>&nbsp;</TD> </TR>\n";
  print "  <TR $tb>\n";
  print "    <TD><DIV CLASS=thead><B>Username</B></DIV></TD>\n";
  print "    <TD COLSPAN=2><DIV CLASS=thead><B>Password</B></DIV></TD>\n";
  print "  <TR $cb>\n";

  print "  <TR $cb>\n";
  print "    <TD>\n";
  print "      <INPUT NAME=user SIZE=8 MAXLENGTH=8>\n";
  print "    </TD>\n";
  print "    <TD>\n";
  print "      <INPUT NAME=pass SIZE=16 MAXLENGTH=16>\n";
  print "    </TD>\n";
  print "    <TD ALIGN=RIGHT><DIV CLASS=nbody>\n";
  print "      <INPUT TYPE=HIDDEN NAME=fcn VALUE=add>\n";
  print "      <INPUT TYPE=HIDDEN NAME=outputdir VALUE=\"$outputdir\">\n";
  print "      <INPUT TYPE=HIDDEN NAME=conf_file VALUE=\"$filename\">\n";
  print "      <INPUT TYPE=SUBMIT VALUE=\"Add a New User\">\n";
  print "    </TD>\n";
  print "  </TR>\n\n";


  print "</TABLE></CENTER></FORM>\n";


  ### I'm on my way... home... sweet... home...
  &ryanFooter("index.cgi");
