#!/usr/bin/perl

  require './apache-lib.pl';
  &ReadParse();


  if ($in{'fcn'} eq "delete") {
    $delete_line = $in{'ip'} . ":" . $in{'port'};

    ### Extract the configuration file into $conf.
    $conf = &get_config();

    ### Add all of the NameVirtualHost directives.
    @nvrs = &find_directive_struct("NameVirtualHost", $conf);
    system "cp -a /etc/httpd/conf/httpd.conf /etc/httpd/conf/httpd.conf.wtsave";


    ### Find the line we wish to delete.
    &obtain_lock("/etc/httpd/conf/httpd.conf");
    open CONFIG, "/etc/httpd/conf/httpd.conf";
      $i = 0;
      while (<CONFIG>) {
        chomp $_;
        if ($_ eq "NameVirtualHost $delete_line") { $delete_line = $i; }
        $config[$i++] = $_;
      }
    close CONFIG;

    ### Remove it from the array.
    splice @config, $delete_line, 1;

    ### Print the array back to the file.
    open CONFIG, ">/etc/httpd/conf/httpd.conf";
      for ($j = 0; $j < $i; $j++) { print CONFIG "$config[$j]\n"; }
    close CONFIG;
    &release_lock("/etc/httpd/conf/httpd.conf");
  }
  elsif ($in{'fcn'} eq "add") {

    ###  Make sure we have a valid port and IP.
    if ($in{'port'} ne "80") {
      &PrintError("$in{'port'} is not a valid port number.");
      exit;
    }
    elsif ($in{'ip'} !~ m/^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$/) {
      &PrintError("$in{'ip'} is not a valid ip address.");
      exit;
    }


    ### Find the line we wish to delete.
    &obtain_lock("/etc/httpd/conf/httpd.conf");
    open CONFIG, "/etc/httpd/conf/httpd.conf";
      $i = 0;
      $line_no = 0;
      while (<CONFIG>) {
        chomp $_;

        if (($_ =~ m/^NameVirtualHost/) && (!$line_no)) {
          $line_no = $i;
        }
        elsif (($_ =~ m/^### NameVirtualHost\ Directives/) && (!$line_no)) {
          $line_no = $i;
        }
        elsif (($_ =~ m/^\<VirtualHost/) && (!$line_no)) {
          $line_no = $i;
        }

        $config[$i++] = $_;
      }
    close CONFIG;
    &release_lock("/etc/httpd/conf/httpd.conf");

    open CONFIG, ">/etc/httpd/conf/httpd.conf";
      for ($j = 0; $j < $i; $j++) {
        if ($j == $line_no) {
          print CONFIG "NameVirtualHost ", $in{'ip'}, ":", $in{'port'}, "\n";
          print CONFIG "$config[$j]\n";
        }
        else { print CONFIG "$config[$j]\n"; }
      }
    close CONFIG;
  }

  ### Go back, baby.
  &redirect("nv_hosts.cgi");

