#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: vhost_create_ssl.cgi,v 1.2 2002/07/09 15:40:41 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library routines.
  require './apache-lib.pl';


  ###  Define local variables.
  my ($address_HELP, $administrator_HELP, $servername_HELP);
  my ($webmaster_HELP, $group_HELP, $webmaster_UCB, $group_GCB);
  my ($create_group_BUTTON);

  ###  Populate HELP and UCB/GCB variables.
  $address_HELP               =  &hlink("Address", "vhost_addr");
  $administrator_HELP         =  &hlink("Administrator E-Mail", "vhost_admin");
  $servername_HELP            =  &hlink("Server Name", "vhost_hostname");
  $webmaster_HELP             =  &hlink("Webmaster", "vhost_webmaster");
  $group_HELP                 =  &hlink("Group", "vhost_group");

  $webmaster_UCB        =  &user_chooser_button("webmaster", 0, 0);
  $group_GCB            =  &group_chooser_button("group", 0, 0);
  $address_ICB          =  &interface_chooser_button('addr', 0, 0);

  $create_group_BUTTON  =  "<INPUT TYPE=BUTTON onClick='ifield = document.";
  $create_group_BUTTON .=  "forms[0].group; chooser = window.open(\"/VHost/";
  $create_group_BUTTON .=  "create_group.cgi\", \"chooser\", \"toolbar=no,";
  $create_group_BUTTON .=  "menubar=no,scrollbar=no,width=300,height=350";
  $create_group_BUTTON .=  "\"); chooser.ifield = ifield' value=\"Create ";
  $create_group_BUTTON .=  "Group\">\n";


  ###  Print the standard header.
  &header("Virtual Host Management :: Create SSL Virtual Host", 0);

  ###  Print the HTML.
  print <<EOF;
<FORM ACTION="create_virt.cgi">
<INPUT TYPE="HIDDEN" NAME="webmail_enable" VALUE="0">
<INPUT TYPE="HIDDEN" NAME="port" VALUE="443">
<CENTER><TABLE BORDER="0" WIDTH="620" CELLPADDING="0" CELLSPACING="0">
  <TR $tb>
    <TD><DIV CLASS="ttitle"><B>Create a New SSL Virtual Host</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD><DIV CLASS="nbody">
      Below you can create a new virtual server.  All four fields are required. 
      For help click on the help links.
    </DIV></TD>
  </TR>

  <TR $cb><TD>&nbsp;</TD></TR>

  <TR $cb>
    <TD><CENTER>
      <TABLE WIDTH="90%">
      <TR>
        <TD> <B>$address_HELP</B> </TD>
         <TD COLSPAN="3"> <INPUT NAME=addr SIZE=15 MAXLENGTH=15> $address_ICB </TD>
      </TR>

      <TR>
        <TD> <B>$servername_HELP</B> </TD>
        <TD COLSPAN="3"> <INPUT NAME=name SIZE=30> </TD>
      </TR>

      <TR>
        <TD> <B>$administrator_HELP</B> </TD>
        <TD COLSPAN="3"> <INPUT NAME=admin SIZE=25> </TD>
      </TR>

      <TR>
        <TD> <B>$webmaster_HELP</B> </TD>
        <TD COLSPAN=3>
          <INPUT NAME=webmaster SIZE=16> $webmaster_UCB
        </TD>
      </TR>

      <TR>
        <TD> <B>$group_HELP</B> </TD>
        <TD COLSPAN=3>
          <INPUT NAME=group SIZE=16>
          <FONT FACE=Arial,Helvetica,Sans-Serif>
            $group_GCB
            $create_group_BUTTON
        </TD>
      </TR>

      <TR> <TD COLSPAN="4"> &nbsp; </TD> </TR>

      </TABLE>
    </TD>
  </TR>

  <TR $cb><TD>&nbsp;</TD></TR>

  <TR $cb>
    <TD ALIGN="RIGHT"><DIV CLASS="nbody">
      <INPUT TYPE="SUBMIT" VALUE="Create SSL Virtual Host">
    </TD>
  </TR>
</TABLE></CENTER>
</FORM><P>
EOF

  ###  Print the standard footer.
  &ryanFooter("index.cgi");

