#!/usr/bin/perl

  require './apache-lib.pl';
  &ReadParse();

  ###  Set up our local variables.
  my ($conf, $v, $SSLEngine_s, $SSLEngine, $DocumentRoot_s, $DocumentRoot);
  my ($vr_icon, $cert_icon, $webmail_icon);

  ###  Populate our local variables.
  ($conf, $v)      =  &get_virtual_config($in{'virt'});
  $SSLEngine_s     =  &find_directive_struct("SSLEngine", $conf);
  $DocumentRoot_s  =  &find_directive_struct("DocumentRoot", $conf);
  $DocumentRoot    =  $DocumentRoot_s->{'value'};


  ###  Print the header.
  &header($text{'virt_title'}, "");


  print "<P><CENTER><TABLE BORDER=0 WIDTH=620 CELLPADDING=0 CELLSPACING=0>\n";
  print "<TR $tb><TD>\n";
  print "  <DIV CLASS=ttitle><B>Edit Virtual Host</B></DIV>\n";
  print "</TD></TR>\n";

  print "<TR $tb><TD><DIV CLASS=thead><B>\n";
    print &text('virt_header', &virtual_name($v));
  print "</TD></TR>\n";
  print "</TABLE></CENTER>\n\n";

  $vr_icon   =    { "icon" => "images/virt.gif", "name" => $text{'virt_conf'},
                    "link" => "edit_vserv.cgi?virt=$in{'virt'}",
                    "desc" => "Change the IP address, server name, or database options." };

  $cert_icon =    { "name" => "Certificate Management",
                    "link" => "cert_index.cgi?virt=$in{'virt'}",
                    "desc" => "Generate or upload a certificate/key pair." };

  $webmail_icon = { "name" => "Webmail Configuration",
                    "link" => "edit_webmail.cgi?virt=$in{'virt'}",
                    "desc" => "Configure various Webmail settings." };



  print "<CENTER><TABLE BORDER=0 WIDTH=620 CELLPADDING=0 CELLSPACING=0>\n";
  print "<TR $cb><TD>&nbsp;</TD></TR>\n";

  print "<TR $cb><TD>\n";


  ###
  ###  If this is an SSL site, display the certificate/webmail stuff.
  ###
  if ($SSLEngine_s->{'value'}) {

    ###  Only show webmail link if it actually exists (it's in Workgroup).
    if (-f "edit_webmail.cgi") {
      &config_icons("virtual", "edit_virt.cgi?virt=$in{'virt'}&",
                    $cert_icon, $webmail_icon, $vr_icon);
    }
    else {
      &config_icons("virtual", "edit_virt.cgi?virt=$in{'virt'}&",
                    $cert_icon, $vr_icon);
    }
  }

  ###  "Normal" vhost.
  else {
    &config_icons("virtual", "edit_virt.cgi?virt=$in{'virt'}&", 
                  $vr_icon ? $vr_icon : ());
  }

  print "</TD></TR>\n";
  print "</TABLE></CENTER><P>\n\n";


  ### Feet are yummy.
  &ryanFooter("index.cgi");

